Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class QTActionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--quicktime.app.event.QTActionEvent

All Implemented Interfaces:
  java.io.Serializable

public class QTActionEvent
extends java.util.EventObject

This class is used by QuickTime objects that have an action associated with them. When those object's actions are fired they will generate an action event, with those objects as the source of the event, to any registered listeners

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`QTActionEvent(java.lang.Object source, java.lang.String command)` Constructs an QTActionEvent object with the specified source object.
`QTActionEvent(java.lang.Object source, java.lang.String command, int modifiers)` Constructs an QTActionEvent object with the specified source object.

Method Summary
`void` | `consume()` QTActionEvents can be consumed by any of their listeners.
`java.lang.String` | `getActionCommand()`
`int` | `getModifiers()`
`boolean` | `isConsumed()`
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTActionEvent

    public QTActionEvent(java.lang.Object source,
                         java.lang.String command)

  Constructs an QTActionEvent object with the specified source object.
  Parameters:
    `source` - the object where the event originated
    `command` - the command string for this action event

### QTActionEvent

    public QTActionEvent(java.lang.Object source,
                         java.lang.String command,
                         int modifiers)

  Constructs an QTActionEvent object with the specified source object.
  Parameters:
    `source` - the object where the event originated
    `command` - the command string for this action event
    `modifiers` - the modifiers held down during this action

Method Detail

### getActionCommand

    public java.lang.String getActionCommand()

  Returns:
    the command name associated with this action.

### getModifiers

    public int getModifiers()

  Returns:
    the modifiers held down during this action event.

### consume

    public void consume()

  QTActionEvents can be consumed by any of their listeners. If the event is consumed it will not be passed on to any other listeners. Calling this method indicates that the event is consumed.

### isConsumed

    public boolean isConsumed()

  Returns:
    true if the event is consumed.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`
  Returns:
    a String representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD